Bug 1562798 - CFME - usage of non standard special characters (e.g. accents) in password causes user is not able to login
Summary: CFME - usage of non standard special characters (e.g. accents) in password ca...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Martin Hradil
QA Contact: Matt Pusateri
URL:
Whiteboard: auth:db
Keywords: ZStream
Depends On: 1527316
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-04-02 14:14 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
11 users (show)

(edit)
Clone Of: 1527316
(edit)
Last Closed: 2018-06-25 14:19:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 5 CFME Bot 2018-04-10 02:02:39 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/173cc7d63ba2fe70574631f34f24c11d9ae3b6e4
commit 173cc7d63ba2fe70574631f34f24c11d9ae3b6e4
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Tue Apr  3 10:13:55 2018 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Tue Apr  3 10:13:55 2018 -0400

    API - use a utf-8 aware btoa implementation (base64encode)

    `window.btoa("sněhulák")` fails on InvalidCharacterError: String contains an invalid character

    because it only expects latin1 chars

    We need to base64 encode the login:password pair even when the password uses non-latin1 chars :)

    Implementation adapted from https://developer.mozilla.org/en-US/docs/Web/API/WindowBase64/Base64_encoding_and_decoding#Solution_2_%E2%80%93_rewrite_the_DOMs_atob()_and_btoa()_using_JavaScript's_TypedArrays_and_UTF-8

    (This corresponds to master PRs:
     * https://github.com/ManageIQ/manageiq-ui-classic/pull/3682 (updated to work in ES5, and dependencies via bower)
     * https://github.com/ManageIQ/manageiq-ui-classic/pull/3687 (not really needed because we're using the globals here)
     * https://github.com/ManageIQ/manageiq-ui-classic/pull/3709 (gaprindashvili fix removing a vendor mention, not really needed here)
    )

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1562798

 app/assets/javascripts/application.js | 2 +
 app/assets/javascripts/miq_api.js | 12 +-
 bower.json | 2 +
 3 files changed, 14 insertions(+), 2 deletions(-)

Comment 6 Matt Pusateri 2018-05-17 19:43:08 UTC
Verified on 5.8.4.3, auth DB. Side note: fails on SSUI, see: https://bugzilla.redhat.com/show_bug.cgi?id=1579501

Comment 8 CFME Bot 2018-05-18 13:02:21 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:

https://github.com/ManageIQ/manageiq-ui-self_service/commit/577c5533bdc412df10b2730c283253f36ff658ae
commit 577c5533bdc412df10b2730c283253f36ff658ae
Author:     Allen Wight <allen.b.wight@gmail.com>
AuthorDate: Wed Mar 28 10:00:30 2018 -0400
Commit:     Allen Wight <allen.b.wight@gmail.com>
CommitDate: Wed Mar 28 10:00:30 2018 -0400

    Merge pull request #1411 from himdel/password-utf-bz1527316

    AuthenticationAPI - use base64encode which can deal with UTF8 passwords
    (cherry picked from commit 0ae3d013fe0c6211080adb28f9c8130ba3ed1bdc)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1562798

 client/app.js | 1 -
 client/app/core/authentication-api.factory.js | 13 +-
 client/app/core/core.module.js | 1 -
 package.json | 3 +-
 yarn.lock | 18 +-
 5 files changed, 21 insertions(+), 15 deletions(-)

Comment 11 Matt Pusateri 2018-06-14 16:41:31 UTC
Verified in 5.8.4.4 with database user and MIQLDAP-AD Classic and SSUI

Comment 13 errata-xmlrpc 2018-06-25 14:19:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.